Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510886 - [Huawei AArch64 7.6 Feature] ceph support on RHEL for ARM 7.6
Summary: [Huawei AArch64 7.6 Feature] ceph support on RHEL for ARM 7.6
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Build
Version: 3.0
Hardware: aarch64
OS: Linux
unspecified
medium
Target Milestone: rc
: 3.*
Assignee: ceph-eng-bugs
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1670539
TreeView+ depends on / blocked
 
Reported: 2017-11-08 11:57 UTC by Tan Xiaojun
Modified: 2019-03-21 07:53 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1590134 (view as bug list)
Environment:
Last Closed: 2019-03-21 07:53:35 UTC


Attachments (Terms of Use)

Description Tan Xiaojun 2017-11-08 11:57:58 UTC
1. Feature Overview
    a) Name of feature:
       ceph support
    b) Feature Description:
       ceph support

2. Feature Details
    a) Architectures:
       HiSilicon ARM64 platform
    b) Bugzilla Dependencies:
       NA
    c) Drivers or hardware dependencies:
       HiSilicon Hi1620 SoC
    d) Upstream acceptance information:
       NA
    e) External links:
       NA
    f) Severity (H,M,L):
       M
    g) Feature Needed by:
       Huawei and their customers

3. Business Justification
    a) Why is this feature needed
       Customers need to use this.
    b) What hardware does this enable?
       NA
    c) Is this hardware on-board in a system (eg, LOM) or an add-on card?
       NA
    d) Business impact?
       NA
    e) Other business drivers:
       NA

4. Primary contact at Red Hat, email, phone (chat)
    Jingjing Niu
    jniu@redhat.com

5. Primary contact at Partner, email, phone (chat)
    Technical contact:
        Xiaojun Tan
        tanxiaojun@huawei.com

Comment 3 Boris Ranto 2017-12-07 17:09:35 UTC
Can you define what do you mean by ceph support? Do you want client bits support or server bits? This bugzilla is currently aimed at client bits support but we are already shipping client bits for arm64, ppc64le and x86_64 iirc.

Comment 4 Yaakov Selkowitz 2018-01-15 03:32:16 UTC
(In reply to Boris Ranto from comment #3)
> Can you define what do you mean by ceph support? Do you want client bits
> support or server bits? This bugzilla is currently aimed at client bits
> support but we are already shipping client bits for arm64, ppc64le and
> x86_64 iirc.

Could you please clarify the above so that we can properly triage this bug?

Comment 5 Tan Xiaojun 2018-01-15 06:51:53 UTC
(In reply to Yaakov Selkowitz from comment #4)
> (In reply to Boris Ranto from comment #3)
> > Can you define what do you mean by ceph support? Do you want client bits
> > support or server bits? This bugzilla is currently aimed at client bits
> > support but we are already shipping client bits for arm64, ppc64le and
> > x86_64 iirc.
> 
> Could you please clarify the above so that we can properly triage this bug?

I'm sorry I ignored this problem, we want a complete solution that includes the client and server.

Thanks.
Xiaojun.

Comment 6 Yaakov Selkowitz 2018-01-15 07:06:30 UTC
Client support has been included in RHEL for ARM since 7.4.  Server support is not currently available, and therefore Product Management will require a detailed business justification.

Comment 7 Tan Xiaojun 2018-01-15 09:17:23 UTC
(In reply to Yaakov Selkowitz from comment #6)
> Client support has been included in RHEL for ARM since 7.4.  Server support
> is not currently available, and therefore Product Management will require a
> detailed business justification.

Our customers need to use ceph to build a storage cluster to improve performance. So server is needed.

Thanks.
Xiaojun.

Comment 8 Boris Ranto 2018-01-15 12:43:50 UTC
The server bits are provided by a different product, re-targetting.

Comment 10 Tan Xiaojun 2018-03-22 15:41:04 UTC
Hi,

So will you provide the ceph server in RHEL 7.6, or not?

I just want to know if it has some issues, and what I can help?

Thanks.
Xiaojun.

Comment 11 jingjing niu 2019-03-21 07:53:35 UTC
Since we already luanched 7.6, close it


Note You need to log in before you can comment on or make changes to this bug.